Get user

View as Markdown
Will return a single user by id

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

idintegerRequired
a user id

Response

userSchema
idinteger
The user id
namestring or null
Name of the user
emailstring
Email of the user
usernamestring or null
A unique username for the user
imageUrlstring
URL used for the user profile image
loginAttemptsinteger>=0
How many unsuccessful attempts at logging in has the user made
emailSentboolean
Is the welcome email sent to the user or not
rootRoleinteger>=0

Which root role this user is assigned

seenAtstring or nullformat: "date-time"
The last time this user logged in
createdAtstringformat: "date-time"
The user was created at this time
accountTypeenum
A user is either an actual User or a Service Account
Allowed values:
permissionslist of strings
Deprecated
scimIdstring or null
The SCIM ID of the user, only present if managed by SCIM
seatTypestring or null
The seat type of this user
companyRolestring or null
The role of the user within the company.
productUpdatesEmailConsentboolean or null
Whether the user has consented to receive product update emails.
activeSessionsinteger or null
Count of active browser sessions for this user
deletedSessionsdouble
Experimental. The number of deleted browser sessions after last login

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error